<?php

require_once ("../../config/Cado.php");

require_once("../cliente/cCliente.php");

$oCliente = new cCliente();

require_once("../formatos/formato.php");





require_once dirname(__FILE__) . '/../../libreriasphp/phpexcel/Classes/PHPExcel.php';



move_uploaded_file($_FILES['file_archivo']['tmp_name'],$_FILES['file_archivo']['name']);



$archivo = $_FILES['file_archivo']['name'];



$inputFileType = PHPExcel_IOFactory::identify($archivo);

$objReader = PHPExcel_IOFactory::createReader($inputFileType);

$objPHPExcel = $objReader->load($archivo);

$sheet = $objPHPExcel->getSheet(0); 

$highestRow = $sheet->getHighestRow(); 

$highestColumn = $sheet->getHighestColumn();



for ($row = 2; $row <= $highestRow; $row++){

	

		$clitipdoc = $sheet->getCell("A".$row)->getValue();	

		$clinom = $sheet->getCell("B".$row)->getValue();	

		$clidoc = $sheet->getCell("C".$row)->getValue();	

		$clidir = $sheet->getCell("D".$row)->getValue();	

		$clicon = $sheet->getCell("E".$row)->getValue();	

		$clitel = $sheet->getCell("F".$row)->getValue();	

		$cliema = $sheet->getCell("G".$row)->getValue();	

		

		$clitipdoc = strtoupper($clitipdoc);

		$clinom = strtoupper($clinom);

		$clidir = strtoupper($clidir);

		$clicon = strtoupper($clicon);

	

		$rs = $oCliente->verifica_cliente_doc($clidoc,0);

		$num=mysqli_num_rows($rs);

			

		if($num>0){

			

		}

		else

		{		

		

		if($clitipdoc=="DNI"){

			$tipdoc = "1";

		}else{

			$tipdoc = "2";

		}

		

				

		$clinom =  str_ireplace("META"," ",$clinom);

		$clinom =  str_ireplace("HTTP-EQUIV"," ",$clinom);

		

			$oCliente->insertar(

				$clitipdoc, 

				limpia_espacios($clinom), 

				$clidoc, 

				$clidir, 

				limpia_espacios($clicon), 

				$clitel, 

				$cliema

				);

	

	}	



} 



unlink($archivo);

/* 

	$data['cat_msj']='Archivo procesado correctamente.';			

	echo json_encode($data);	 */		

?>